Solid Edge Framework Type Library
GetMFKAttributesForGivenItemType Method
Specify the Item Type.
This is an array which will give the corresponding Key Properties for given Item Type.
Description
Get MFK attributes.
Syntax
Visual Basic
Public Sub GetMFKAttributesForGivenItemType( _
   ByVal bstrItemType As String, _
   ByRef pvMFKAttributes As Variant _
) 
Parameters
bstrItemType
Specify the Item Type.
pvMFKAttributes
This is an array which will give the corresponding Key Properties for given Item Type.
Example
Imports System.Runtime.InteropServices

Public Class Form1

    Private Sub GetMFKAttributesForGivenItemType_Click(sender As Object, e As EventArgs) Handles GetMFKAttributesForGivenItemType.Click
        Dim objSEApplication As SolidEdgeFramework.Application = Nothing
        Dim objTCE As SolidEdgeFramework.SolidEdgeTCE = Nothing
        Dim majorVersion As Object = Nothing
        Dim completeVersion As Object = Nothing
        Dim UserName As String
        Dim Password As String
        Dim Group As String
        Dim Role As String
        Dim URL As String
        Dim bTeamCenterMode As Boolean
        Dim ItemType As String = "MFK2Item41"
        Dim MFKAttributes As Object = Nothing

        Try
            objSEApplication = Marshal.GetActiveObject("SolidEdge.Application")
            objSEApplication.DisplayAlerts = False

            objTCE = objSEApplication.SolidEdgeTCE
            Call objTCE.GetTeamCenterMode(bTeamCenterMode)
            If bTeamCenterMode = False Then
                objTCE.SetTeamCenterMode(True)
            End If
            'Specify Server Credentials
            UserName = "abc"
            Password = "abc"
            Group = ""
            Role = ""
            URL = "http://Servername:8085/tc"

            Call objTCE.ValidateLogin(UserName, Password, Group, Role, URL)
            objTCE.GetMFKAttributesForGivenItemType(ItemType, MFKAttributes)


        Catch ex As Exception
            MsgBox(ex.ToString)
            Clipboard.SetText(ex.ToString)
        End Try
    End Sub
End Class
See Also

SolidEdgeTCE Object  | SolidEdgeTCE Members